# \Thelia\ModelAttributeCombinationQuery

Skeleton subclass for performing query and update operations on the 'attribute_combination' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterByAttributeId()
filterByAttributeAvId()
filterByProductSaleElementsId()
filterByCreatedAt()
filterByUpdatedAt()
filterByAttribute()
joinAttribute()
useAttributeQuery()
filterByAttributeAv()
joinAttributeAv()
useAttributeAvQuery()
filterByProductSaleElements()
joinProductSaleElements()
useProductSaleElementsQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderByAttributeId()
orderByAttributeAvId()
orderByProductSaleElementsId()
orderByCreatedAt()
orderByUpdatedAt()
groupByAttributeId()
groupByAttributeAvId()
groupByProductSaleElementsId()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinAttribute()
rightJoinAttribute()
innerJoinAttribute()
leftJoinAttributeAv()
rightJoinAttributeAv()
innerJoinAttributeAv()
leftJoinProductSaleElements()
rightJoinProductSaleElements()
innerJoinProductSaleElements()
findOne()
findOneOrCreate()
findOneByAttributeId()
findOneByAttributeAvId()
findOneByProductSaleElementsId()
findOneByCreatedAt()
findOneByUpdatedAt()
findByAttributeId()
findByAttributeAvId()
findByProductSaleElementsId()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/AttributeCombinationQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\AttributeCombinationQuery
  \Thelia\Model\AttributeCombinationQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\AttributeCombinationQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\AttributeCombinationQuery

Returns a new ChildAttributeCombinationQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

static

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findPk()

    findPk( $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\AttributeCombination|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(array(12, 34, 56), $con);`

#### Parameters

| $key |
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\AttributeCombination|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(array(12, 56), array(832, 123), array(123, 456)), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\AttributeCombinationQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\AttributeCombinationQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### filterByAttributeId()

    filterByAttributeId(mixed $attributeId, string $comparison) : \Thelia\Model\AttributeCombinationQuery

Filter the query on the attribute_id column

Example usage: `$query->filterByAttributeId(1234); // WHERE attribute_id = 1234 $query->filterByAttributeId(array(12, 34)); // WHERE attribute_id IN (12, 34) $query->filterByAttributeId(array('min' => 12)); // WHERE attribute_id > 12`

#### Parameters

mixed | $attributeId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery
See also

## Tags

None found

### filterByAttributeAvId()

    filterByAttributeAvId(mixed $attributeAvId, string $comparison) : \Thelia\Model\AttributeCombinationQuery

Filter the query on the attribute_av_id column

Example usage: `$query->filterByAttributeAvId(1234); // WHERE attribute_av_id = 1234 $query->filterByAttributeAvId(array(12, 34)); // WHERE attribute_av_id IN (12, 34) $query->filterByAttributeAvId(array('min' => 12)); // WHERE attribute_av_id > 12`

#### Parameters

mixed | $attributeAvId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery
See also

## Tags

None found

### filterByProductSaleElementsId()

    filterByProductSaleElementsId(mixed $productSaleElementsId, string $comparison) : \Thelia\Model\AttributeCombinationQuery

Filter the query on the product_sale_elements_id column

Example usage: `$query->filterByProductSaleElementsId(1234); // WHERE product_sale_elements_id = 1234 $query->filterByProductSaleElementsId(array(12, 34)); // WHERE product_sale_elements_id IN (12, 34) $query->filterByProductSaleElementsId(array('min' => 12)); // WHERE product_sale_elements_id > 12`

#### Parameters

mixed | $productSaleElementsId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery
See also

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\AttributeCombinationQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\AttributeCombinationQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### filterByAttribute()

    filterByAttribute(\Thelia\Model\Attribute|\Propel\Runtime\Collection\ObjectCollection $attribute, string $comparison) : \Thelia\Model\AttributeCombinationQuery

Filter the query by a related \Thelia\Model\Attribute object

#### Parameters

\Thelia\Model\Attribute|\Propel\Runtime\Collection\ObjectCollection | $attribute | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### joinAttribute()

    joinAttribute(string $relationAlias, string $joinType) : \Thelia\Model\AttributeCombinationQuery

Adds a JOIN clause to the query using the Attribute relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### useAttributeQuery()

    useAttributeQuery(string $relationAlias, string $joinType) : \Thelia\Model\AttributeQuery

Use the Attribute relation Attribute object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery
See also

## Tags

None found

### filterByAttributeAv()

    filterByAttributeAv(\Thelia\Model\AttributeAv|\Propel\Runtime\Collection\ObjectCollection $attributeAv, string $comparison) : \Thelia\Model\AttributeCombinationQuery

Filter the query by a related \Thelia\Model\AttributeAv object

#### Parameters

\Thelia\Model\AttributeAv|\Propel\Runtime\Collection\ObjectCollection | $attributeAv | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### joinAttributeAv()

    joinAttributeAv(string $relationAlias, string $joinType) : \Thelia\Model\AttributeCombinationQuery

Adds a JOIN clause to the query using the AttributeAv relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### useAttributeAvQuery()

    useAttributeAvQuery(string $relationAlias, string $joinType) : \Thelia\Model\AttributeAvQuery

Use the AttributeAv relation AttributeAv object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeAvQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery
See also

## Tags

None found

### filterByProductSaleElements()

    filterByProductSaleElements(\Thelia\Model\ProductSaleElements|\Propel\Runtime\Collection\ObjectCollection $productSaleElements, string $comparison) : \Thelia\Model\AttributeCombinationQuery

Filter the query by a related \Thelia\Model\ProductSaleElements object

#### Parameters

\Thelia\Model\ProductSaleElements|\Propel\Runtime\Collection\ObjectCollection | $productSaleElements | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### joinProductSaleElements()

    joinProductSaleElements(string $relationAlias, string $joinType) : \Thelia\Model\AttributeCombinationQuery

Adds a JOIN clause to the query using the ProductSaleElements relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### useProductSaleElementsQuery()

    useProductSaleElementsQuery(string $relationAlias, string $joinType) : \Thelia\Model\ProductSaleElementsQuery

Use the ProductSaleElements relation ProductSaleElements object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\ProductSaleElementsQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\AttributeCombination $attributeCombination) : \Thelia\Model\AttributeCombinationQuery

Exclude object from result

#### Parameters

\Thelia\Model\AttributeCombination | $attributeCombination | Object to remove from the list of results

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the attribute_combination table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildAttributeCombination or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\AttributeCombinationQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\AttributeCombinationQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\AttributeCombinationQuery

Order by update date desc

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\AttributeCombinationQuery

Order by update date asc

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\AttributeCombinationQuery

Order by create date desc

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\AttributeCombinationQuery

Order by create date asc

#### Returns

\Thelia\Model\AttributeCombinationQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### orderByAttributeId()

    orderByAttributeId($order =) : \Thelia\Model\AttributeCombinationQuery

Order by the attribute_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### orderByAttributeAvId()

    orderByAttributeAvId($order =) : \Thelia\Model\AttributeCombinationQuery

Order by the attribute_av_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### orderByProductSaleElementsId()

    orderByProductSaleElementsId($order =) : \Thelia\Model\AttributeCombinationQuery

Order by the product_sale_elements_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\AttributeCombinationQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\AttributeCombinationQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### groupByAttributeId()

    groupByAttributeId() : \Thelia\Model\AttributeCombinationQuery

Group by the attribute_id column

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### groupByAttributeAvId()

    groupByAttributeAvId() : \Thelia\Model\AttributeCombinationQuery

Group by the attribute_av_id column

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### groupByProductSaleElementsId()

    groupByProductSaleElementsId() : \Thelia\Model\AttributeCombinationQuery

Group by the product_sale_elements_id column

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\AttributeCombinationQuery

Group by the created_at column

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\AttributeCombinationQuery

Group by the updated_at column

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\AttributeCombinationQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\AttributeCombinationQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\AttributeCombinationQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### leftJoinAttribute()

    leftJoinAttribute($relationAlias =) : \Thelia\Model\AttributeCombinationQuery

Adds a LEFT JOIN clause to the query using the Attribute relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### rightJoinAttribute()

    rightJoinAttribute($relationAlias =) : \Thelia\Model\AttributeCombinationQuery

Adds a RIGHT JOIN clause to the query using the Attribute relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### innerJoinAttribute()

    innerJoinAttribute($relationAlias =) : \Thelia\Model\AttributeCombinationQuery

Adds a INNER JOIN clause to the query using the Attribute relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### leftJoinAttributeAv()

    leftJoinAttributeAv($relationAlias =) : \Thelia\Model\AttributeCombinationQuery

Adds a LEFT JOIN clause to the query using the AttributeAv relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### rightJoinAttributeAv()

    rightJoinAttributeAv($relationAlias =) : \Thelia\Model\AttributeCombinationQuery

Adds a RIGHT JOIN clause to the query using the AttributeAv relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### innerJoinAttributeAv()

    innerJoinAttributeAv($relationAlias =) : \Thelia\Model\AttributeCombinationQuery

Adds a INNER JOIN clause to the query using the AttributeAv relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### leftJoinProductSaleElements()

    leftJoinProductSaleElements($relationAlias =) : \Thelia\Model\AttributeCombinationQuery

Adds a LEFT JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### rightJoinProductSaleElements()

    rightJoinProductSaleElements($relationAlias =) : \Thelia\Model\AttributeCombinationQuery

Adds a RIGHT JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### innerJoinProductSaleElements()

    innerJoinProductSaleElements($relationAlias =) : \Thelia\Model\AttributeCombinationQuery

Adds a INNER JOIN clause to the query using the ProductSaleElements relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\AttributeCombinationQuery

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\AttributeCombination

Return the first ChildAttributeCombination matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\AttributeCombination

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\AttributeCombination

Return the first ChildAttributeCombination matching the query, or a new ChildAttributeCombination object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\AttributeCombination

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findOneByAttributeId()

    findOneByAttributeId(int $attribute_id) : \Thelia\Model\AttributeCombination

Return the first ChildAttributeCombination filtered by the attribute_id column

#### Parameters

int | $attribute_id |

#### Returns

\Thelia\Model\AttributeCombination

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findOneByAttributeAvId()

    findOneByAttributeAvId(int $attribute_av_id) : \Thelia\Model\AttributeCombination

Return the first ChildAttributeCombination filtered by the attribute_av_id column

#### Parameters

int | $attribute_av_id |

#### Returns

\Thelia\Model\AttributeCombination

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findOneByProductSaleElementsId()

    findOneByProductSaleElementsId(int $product_sale_elements_id) : \Thelia\Model\AttributeCombination

Return the first ChildAttributeCombination filtered by the product_sale_elements_id column

#### Parameters

int | $product_sale_elements_id |

#### Returns

\Thelia\Model\AttributeCombination

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\AttributeCombination

Return the first ChildAttributeCombination filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\AttributeCombination

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\AttributeCombination

Return the first ChildAttributeCombination filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\AttributeCombination

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findByAttributeId()

    findByAttributeId(int $attribute_id) : array

Return ChildAttributeCombination objects filtered by the attribute_id column

#### Parameters

int | $attribute_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findByAttributeAvId()

    findByAttributeAvId(int $attribute_av_id) : array

Return ChildAttributeCombination objects filtered by the attribute_av_id column

#### Parameters

int | $attribute_av_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findByProductSaleElementsId()

    findByProductSaleElementsId(int $product_sale_elements_id) : array

Return ChildAttributeCombination objects filtered by the product_sale_elements_id column

#### Parameters

int | $product_sale_elements_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildAttributeCombination objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildAttributeCombination objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\AttributeCombination

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\AttributeCombination —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\AttributeCombination|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\AttributeCombination|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\AttributeCombinationQuery

## Tags

None found

### AttributeCombinationQuery.php